Bug 249188 - dns/powerdns-recursor: Update to 4.3.4
Summary: dns/powerdns-recursor: Update to 4.3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL: https://doc.powerdns.com/recursor/cha...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-08 08:58 UTC by Pascal Christen
Modified: 2020-09-30 07:51 UTC (History)
3 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
patch (743 bytes, patch)
2020-09-08 08:58 UTC, Pascal Christen
no flags Details | Diff
patch (729 bytes, patch)
2020-09-09 09:18 UTC, Pascal Christen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Christen 2020-09-08 08:58:35 UTC
Created attachment 217816 [details]
patch

Released: 8th of September 2020
Improvements
Ensure runtime dirs for virtual services differ.
References: #9073, pull request 9397

Bug Fixes
Allow some more depth headroom for the no-qname-minimization fallback case.
References: #9375, pull request 9416

Resize hostname to final size in getCarbonHostname().
References: pull request 9367
Comment 1 Fernando Apesteguía freebsd_committer 2020-09-08 16:34:23 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: patch did not apply cleanly. Would you mind checking it?

Patch contains CRLF terminators. If you pasted it in bugzilla try to upload it as an attachment.


Thanks!
Comment 2 Pascal Christen 2020-09-09 09:18:37 UTC
Created attachment 217834 [details]
patch

This should be a clean diff which applies cleanly in our enivronment
Comment 3 Kurt Jaeger freebsd_committer 2020-09-29 02:08:18 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-09-29 02:08:54 UTC
A commit references this bug:

Author: pi
Date: Tue Sep 29 02:08:16 UTC 2020
New revision: 550466
URL: https://svnweb.freebsd.org/changeset/ports/550466

Log:
  dns/powerdns-recursor: update 4.3.3 -> 4.3.4

  Improvements
  - Ensure runtime dirs for virtual services differ.
    References: #9073, pull request 9397

  Bug Fixes
  - Allow some more depth headroom for the no-qname-minimization fallback case.
    References: #9375, pull request 9416
  - Resize hostname to final size in getCarbonHostname().
    References: pull request 9367

  PR:		249188
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>
  Reviewed by:	fernape
  Approved by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Relnotes:	https://doc.powerdns.com/recursor/changelog/4.3.html#change-4.3.4

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
Comment 5 commit-hook freebsd_committer 2020-09-30 07:51:17 UTC
A commit references this bug:

Author: krion
Date: Wed Sep 30 07:50:55 UTC 2020
New revision: 550654
URL: https://svnweb.freebsd.org/changeset/ports/550654

Log:
  MFH: r550466

  dns/powerdns-recursor: update 4.3.3 -> 4.3.4

  Improvements
  - Ensure runtime dirs for virtual services differ.
    References: #9073, pull request 9397

  Bug Fixes
  - Allow some more depth headroom for the no-qname-minimization fallback case.
    References: #9375, pull request 9416
  - Resize hostname to final size in getCarbonHostname().
    References: pull request 9367

  PR:		249188
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>
  Reviewed by:	fernape
  Approved by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Relnotes:	https://doc.powerdns.com/recursor/changelog/4.3.html#change-4.3.4

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/dns/powerdns-recursor/Makefile
  branches/2020Q3/dns/powerdns-recursor/distinfo